summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2014-09-24 13:28:29 +0200
committerHolger Levsen <holger@layer-acht.org>2014-09-24 13:28:29 +0200
commit6d127787e9976292d1fd255b12580c02b5205a16 (patch)
tree02e3cc3f07102ec49aebe4ba9b96a2e1ef996e9b /bin
parent9059930e47fbe04e55177c08a656495776f2c229 (diff)
downloadjenkins.debian.net-6d127787e9976292d1fd255b12580c02b5205a16.tar.xz
reproducible: two new jobs: build_server and build_security+privacy plus some packages added to existing jobs
Diffstat (limited to 'bin')
-rwxr-xr-xbin/reproducible_build.sh9
1 files changed, 5 insertions, 4 deletions
diff --git a/bin/reproducible_build.sh b/bin/reproducible_build.sh
index d211c2df..7c7cefc4 100755
--- a/bin/reproducible_build.sh
+++ b/bin/reproducible_build.sh
@@ -52,11 +52,12 @@ for SRCPACKAGE in "$@" ; do
sudo dcmd rm /var/cache/pbuilder/result/${SRCPACKAGE}_*.changes
set -e
cat b1/${SRCPACKAGE}_*.changes
- mkdir -p results
- LOGFILE=./results/$(ls ${SRCPACKAGE}_*.dsc)
+ mkdir -p results/_success
+ LOGFILE=$(ls ${SRCPACKAGE}_*.dsc)
LOGFILE=$(echo ${LOGFILE%.dsc}.diffp)
- ./misc.git/diffp b1/${SRCPACKAGE}_*.changes b2/${SRCPACKAGE}_*.changes | tee ${LOGFILE}
- if ! $(grep -qv '^\*\*\*\*\*' ${LOGFILE}) ; then
+ ./misc.git/diffp b1/${SRCPACKAGE}_*.changes b2/${SRCPACKAGE}_*.changes | tee ./results/${LOGFILE}
+ if ! $(grep -qv '^\*\*\*\*\*' ./results/${LOGFILE}) ; then
+ mv ./results/${LOGFILE} ./results/_success/
figlet ${SRCPACKAGE}
echo
echo "${SRCPACKAGE} build successfull."